Bug Hunting Session
Bug 66224 - When a multi-paragraph footnote is added to a document saved as .doc, tab characters are added at the first line of each paragraph
Summary: When a multi-paragraph footnote is added to a document saved as .doc, tab cha...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-26 19:57 UTC by Rigoberto Calleja
Modified: 2014-06-01 20:30 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Original .odt document (9.50 KB, application/vnd.oasis.opendocument.text)
2013-09-22 18:50 UTC, Tintinux
Details
Same document saved to .doc (9.50 KB, application/msword)
2013-09-22 18:51 UTC, Tintinux
Details
Same document saved to .docx (4.28 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-22 18:54 UTC, Tintinux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rigoberto Calleja 2013-06-26 19:57:04 UTC
Problem description: 
When a multi-paragraph footnote is added to a document saved as .doc, after it's reopened a series of tab characters are added to the first line of each paragraph of the footnote, starting from the second one. Even if the tab characters are deleted they re-appear.

Steps to reproduce:
1. Create a blank document
2. Insert multi-parapraph footnote
3. Save document as .doc
4. Close document
5. Re-open document

Current behavior:
Tab characters are added at the first line of each paragraph of the footnote, starting from the second one. 

Expected behavior:
No tab characters are added to the footnote.
Comment 1 retired 2013-07-03 14:05:57 UTC
Rigoberto: Could you please attach an example document. In your case it would be good to provide both the odt and the exported doc file.

After providing that info please set the bug to UNCONFIRMED.
Comment 2 Tintinux 2013-09-22 18:49:01 UTC
Hi

I have a similar and simpler problem in 3.7 release 3.5.7.2

When we save in .doc a tab character is added between footnote number and the text. Not only with multi-paragraph footnote.

I attach a simple example.

Regards

Tintinux
Comment 3 Tintinux 2013-09-22 18:50:31 UTC
Created attachment 86325 [details]
Original .odt document
Comment 4 Tintinux 2013-09-22 18:51:06 UTC
Created attachment 86327 [details]
Same document saved to .doc
Comment 5 Tintinux 2013-09-22 18:54:50 UTC
Created attachment 86328 [details]
Same document saved to .docx

I have not tried to read it with MS Word >= 2010.
Comment 6 Owen Genat (retired) 2013-10-02 08:33:19 UTC
This would appear to be a duplicate of one aspect of bug #64026.
Comment 7 QA Administrators 2014-05-17 00:34:29 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 8 QA Administrators 2014-06-01 20:30:26 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO